## syncevolution 1.5.1+16.10.20160820

=== debian/changelog ===
syncevolution (1.5.1+16.10.20160820-0ubuntu1) yakkety; urgency=medium

  [ Tino Mettler ]
  * Add 0003-Add-missing-casts-from-shared_ptr-to-bool-to-fix-FTB.patch
    to add missing casts from shared_ptr to bool, fixes FTBFS with GCC 6
  * Fix remaining FTBFS with GCC 6 by downgrading the C++ dialect to gnu++98
    (Closes: #811624) (LP: #1613405)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 20 Aug 2016 04:20:39 +0000

syncevolution (1.5.1+16.10.20160706-0ubuntu1) yakkety; urgency=medium

  * New upstream release
    -debian/patches/Avoid-crash-if-the-g_variant_new_string-fails.patch, merged
    upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 06 Jul 2016 14:15:27 +0000

syncevolution (1.5-0ubuntu14) yakkety; urgency=medium

  * debian/patches/syncevolution-1.5.1-libical2.patch: Take patch from Fedora
    to fix build against libical2.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 31 May 2016 12:48:14 +0100

syncevolution (1.5-0ubuntu13) yakkety; urgency=medium

  * No-change rebuild for libical soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 May 2016 13:08:54 +0000

=== debian/control ===
Source: syncevolution
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tino Mettler <tino+debian@tikei.de>
Build-Depends: automake,
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               intltool,
               kdelibs5-dev,
               kdepimlibs5-dev,
               libaccounts-glib-dev (>= 1.8),
               libboost-dev,
               libcppunit-dev,
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev,
               libebook1.2-dev,
               libecal1.2-dev,
               libedataserver1.2-dev,
               libgconf2-dev,
               libglade2-dev,
               libglib2.0-dev,
               libgnome-keyring-dev,
               libgtk2.0-dev,
               libical-dev,
               libneon27-gnutls-dev,
               libnotify-dev,
               libopenobex2-dev [linux-any] | libopenobex-dev [linux-any],
               libpcre3-dev,
               libsignon-glib-dev (>= 1.7),
               libsynthesis-dev (>=3.4.0.47.5),
               libtool,
               pkg-config,
               python-docutils,
               xsltproc
Standards-Version: 3.9.5
Homepage: http://www.syncevolution.org
Vcs-Bzr: lp:~phablet-team/syncevolution/ubuntu

Package: syncevolution
Architecture: any
Depends: syncevolution-common (= ${source:Version}),
         syncevolution-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bluez
Description: Sync personal information data using SyncML and CalDAV/CardDAV (CLI)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides the CLI client.

Package: sync-ui
Architecture: any
Depends: syncevolution-common (= ${source:Version}),
         syncevolution-dbus,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bluez
Description: Sync personal information data using SyncML and CalDAV/CardDAV (GTK+ GUI)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a GTK+ graphical user interface.

Package: syncevolution-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
Replaces: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
Description: Sync personal information data using SyncML and CalDAV/CardDAV
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides common architecture independent files.

Package: syncevolution-libs
Architecture: any
Depends: syncevolution-libs-gnome (= ${binary:Version}) | syncevolution-libs-kde (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Sync personal information data using SyncML and CalDAV/CardDAV (libraries)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides private libraries and plugins.

Package: syncevolution-libs-gnome
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: evolution-data-server
Replaces: syncevolution-libs (<< 1.3.99.7)
Breaks: syncevolution-libs (<< 1.3.99.7)
Description: Sync personal information data using SyncML and CalDAV/CardDAV (libraries)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides private libraries and plugins for Gnome.

Package: syncevolution-libs-kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: syncevolution-libs (<< 1.3.99.7)
Breaks: syncevolution-libs (<< 1.3.99.7)
Description: Sync personal information data using SyncML and CalDAV/CardDAV (libraries)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides private libraries and plugins for KDE.

Package: syncevolution-provider-uoa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Sync personal information data using SyncML and CalDAV/CardDAV (UOA provider)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a provider for Ubuntu Online Accounts, allowing
 syncevolution to access account information stored there.

Package: syncevolution-provider-goa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Sync personal information data using SyncML and CalDAV/CardDAV (GOA provider)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a provider for GNOME Online Accounts, allowing
 syncevolution to access account information stored there.

Package: syncevolution-dbus
Architecture: any
Depends: dbus,
         syncevolution-common (= ${source:Version}),
         syncevolution-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: sync-ui (<< 1.1+ds1-1)
Breaks: sync-ui (<< 1.1+ds1-1)
Description: Sync personal information data using SyncML and CalDAV/CardDAV (D-Bus support)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides D-Bus services.

Package: syncevolution-http
Architecture: all
Depends: dbus-x11,
         python,
         python-dbus,
         python-gobject,
         python-openssl,
         python-twisted-web,
         syncevolution-dbus (>= ${source:Version}),
         ${misc:Depends}
Description: Sync personal information data using SyncML and CalDAV/CardDAV (HTTP server)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a python script to make SyncEvolution act as a HTTP(S)
 server for other SyncML clients.

Package: syncevolution-dbg
Architecture: any
Section: debug
Priority: extra
Depends: sync-ui (= ${binary:Version}),
         syncevolution (= ${binary:Version}),
         syncevolution-dbus (= ${binary:Version}),
         ${misc:Depends}
Description: Sync personal information data using SyncML and CalDAV/CardDAV (debugging)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides debugging symbols

Package: libsyncevolution0
Architecture: any
Depends: dbus,
         syncevolution-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a shared library.

Package: libsyncevo-dbus0
Architecture: any
Depends: dbus,
         syncevolution-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a shared library.

Package: libgdbussyncevo0
Architecture: any
Depends: dbus,
         syncevolution-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: syncevolution-libs (<< 1.2.99.1)
Breaks: syncevolution-libs (<< 1.2.99.1)
Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic 
export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%: 
	dh $@ --parallel

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
	install --mode=0755 --owner=root test/syncevo-http-server.py \
		$(CURDIR)/debian/tmp/usr/bin/syncevo-http-server

override_dh_auto_configure: 
	sh autogen.sh
	dh_auto_configure -- --with-synthesis-src=none --prefix=/usr \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/syncevolution \
			--enable-gui \
			--enable-kwallet --enable-akonadi\
			--with-rst2man --with-rst2html --enable-dav \
			--enable-uoa

override_dh_install:
	dh_install -X"*.pl" --list-missing

override_dh_strip:
	dh_strip --dbg-package=syncevolution-dbg

## syncevolution 1.5.1+17.10.20170613

=== debian/changelog ===
syncevolution (1.5.1+17.10.20170613-0ubuntu2) artful; urgency=medium

  * No-change rebuild for GCC 7 abi mangling change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Aug 2017 15:21:57 +0000

syncevolution (1.5.1+17.10.20170613-0ubuntu1) artful; urgency=medium

  * No-change rebuild against evolution-data-server 3.24

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Jun 2017 17:07:25 +0000

## syncevolution 1.5.2

=== debian/changelog ===
syncevolution (1.5.2-2) unstable; urgency=medium

  * Add missing service file for syncevo-dbus-server (Closes: #854941)

 -- Tino Mettler <tino+debian@tikei.de>  Fri, 24 Feb 2017 12:17:56 +0100

syncevolution (1.5.2-1) unstable; urgency=medium

  * New upstream version
  * Remove patch for GCC6 build failures, as they are fixed upstream
  * Remove flags to downgrade the C++ dialect, fixed upstream
  * Remove 0002-Fix-FTBFS-with-libical2.patch, fixed upstream
  * Use HTTPS for URL to git web view
  * Improve short descriptions

 -- Tino Mettler <tino+debian@tikei.de>  Fri, 18 Nov 2016 13:11:53 +0100

syncevolution (1.5.1-2) unstable; urgency=medium

  * Add 0003-Add-missing-casts-from-shared_ptr-to-bool-to-fix-FTB.patch
    to add missing casts from shared_ptr to bool, fixes FTBFS with GCC 6
  * Fix remaining FTBFS with GCC 6 by downgrading the C++ dialect to gnu++98
    (Closes: #811624)
 -- Tino Mettler <tino+debian@tikei.de>  Mon, 11 Jul 2016 10:17:38 +0200

syncevolution (1.5.1-1) unstable; urgency=medium

  * New upstream release (Closes: #803416)
  * Fix FTBFS with libical2 (Closes: #824426)
  * Remove 0002-Use-TLS-instead-of-SSLv3-in-SyncML-server-script.patch
    which was merged upstream
  * Update Vcs-* fields to new URLs
  * Bump standards version, no changes needed
  * Add dh_auto_clean quirk to make the package build twice in a row
  * Upstream generates a manpage, remove outdated and obsolete own version
  * Remove old debug package definition, use the new dbgsym packages
  * Depend on recent libsynthesis package

 -- Tino Mettler <tino+debian@tikei.de>  Thu, 19 May 2016 11:41:07 +0200

syncevolution (1.4.99.4-5) unstable; urgency=medium

  * Build-depend on libopenobex2-dev (Closes: #813819)

 -- Tino Mettler <tino+debian@tikei.de>  Fri, 26 Feb 2016 11:57:35 +0100

syncevolution (1.4.99.4-4) unstable; urgency=medium

  * Fix libsynthesis depencency after GCC5 transition (Closes: #797966)

 -- Tino Mettler <tino+debian@tikei.de>  Fri, 26 Feb 2016 11:56:50 +0100

=== debian/control ===
Source: syncevolution
Section: utils
Priority: optional
Maintainer: Tino Mettler <tino+debian@tikei.de>
Build-Depends: debhelper (>= 9), autotools-dev, libedataserver1.2-dev, 
 libecal1.2-dev, libebook1.2-dev, libcurl4-gnutls-dev, libboost-dev,
 libsynthesis-dev (>=3.4.0.47.5),
 libtool, automake, intltool, pkg-config,
 libglib2.0-dev, libglade2-dev, libdbus-glib-1-dev, libgtk2.0-dev,
 libgconf2-dev, libgnome-keyring-dev, xsltproc, 
 libopenobex2-dev [linux-any], libnotify-dev,
 python-docutils, libical-dev, libneon27-gnutls-dev, libpcre3-dev,
 libcppunit-dev, kdepimlibs5-dev, kdelibs5-dev
Standards-Version: 3.9.8
Homepage: http://www.syncevolution.org
Vcs-Git: git://anonscm.debian.org/collab-maint/syncevolution
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/syncevolution.git

Package: syncevolution
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
	 syncevolution-common (= ${source:Version}),
	 syncevolution-libs (= ${binary:Version})
Recommends: bluez
Description: Sync personal information data using SyncML and CalDAV/CardDAV (CLI)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides the CLI client.

Package: sync-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), 
	 syncevolution-dbus 
Recommends: bluez
Description: Sync personal information data using SyncML and CalDAV/CardDAV (GTK+ GUI)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a GTK+ graphical user interface.

Package: syncevolution-common
Architecture: all
Depends: ${misc:Depends}, libsynthesis0v5 (>= 3.4.0.47.5)
Conflicts: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
Replaces: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
Description: Sync personal information data using SyncML and CalDAV/CardDAV (common files)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides common architecture independent files.

Package: syncevolution-libs
Architecture: any
Depends: syncevolution-libs-gnome (= ${binary:Version}) |
         syncevolution-libs-kde (= ${binary:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Description: Sync personal information data using SyncML and CalDAV/CardDAV (backend libraries)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides private libraries and plugins.

Package: syncevolution-libs-gnome
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: evolution-data-server
Replaces: syncevolution-libs (<< 1.3.99.7)
Breaks: syncevolution-libs (<< 1.3.99.7)
Description: Sync personal information data using SyncML and CalDAV/CardDAV (GNOME backend)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides private libraries and plugins for Gnome.

Package: syncevolution-libs-kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: syncevolution-libs (<< 1.3.99.7)
Breaks: syncevolution-libs (<< 1.3.99.7)
Description: Sync personal information data using SyncML and CalDAV/CardDAV (KDE backend)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides private libraries and plugins for KDE.

Package: syncevolution-dbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 	 
	 syncevolution-common (= ${source:Version}),
	 syncevolution-libs (= ${binary:Version}), dbus
Replaces: sync-ui (<< 1.1+ds1-1)
Breaks: sync-ui (<< 1.1+ds1-1)
Description: Sync personal information data using SyncML and CalDAV/CardDAV (D-Bus support)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides D-Bus services.

Package: syncevolution-http
Architecture: all
Depends: ${misc:Depends}, syncevolution-dbus (>= ${source:Version}), python,
 python-dbus, dbus-x11, python-twisted-web, python-gobject, python-openssl
Description: Sync personal information data using SyncML and CalDAV/CardDAV (HTTP server)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a python script to make SyncEvolution act as a HTTP(S)
 server for other SyncML clients.

Package: libsyncevolution0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a shared library.

Package: libsyncevo-dbus0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared D-Bus library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a shared library.

Package: libgdbussyncevo0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
Replaces: syncevolution-libs (<< 1.2.99.1)
Breaks: syncevolution-libs (<< 1.2.99.1)
Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared gdbus library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
UPSTREAMTAG=upstream/1.5.2

SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CONFIG_SHELL=/bin/bash

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%: 
	dh $@ --parallel

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
	install --mode=0755 --owner=root test/syncevo-http-server.py \
		$(CURDIR)/debian/tmp/usr/bin/syncevo-http-server

override_dh_auto_configure: 
	sh autogen.sh
	dh_auto_configure -- --with-synthesis-src=none --prefix=/usr \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/syncevolution \
			--enable-gui \
			--enable-kwallet --enable-akonadi \
			--with-rst2man --with-rst2html --enable-dav

override_dh_install:
	dh_install -X"*.pl"

override_dh_strip:
	dh_strip --dbgsym-migration='syncevolution-dbg'

override_dh_auto_clean:
	rm -f INSTALL compile po/LINGUAS src/backends/backends.am \
	      src/synthesis-includes/Makefile.in test-driver
	dh_auto_clean

get-orig-source: 
	git archive --format=tar ${UPSTREAMTAG} --prefix=${SOURCEPKG}_${UPSTREAM}/ | gzip -9 > ../${ORIG}

PATCH_EXPORT_SCRIPT=/usr/share/gitpkg/hooks/quilt-patches-deb-export-hook
export-patches:
	[ ! -r debian/patches ] || \
	grep "^\#*$(notdir $(PATCH_EXPORT_SCRIPT))" debian/patches/series
	rm -rf debian/patches
	bash $(PATCH_EXPORT_SCRIPT)

## syncevolution 1.5.3

=== test/Makefile ===
#
# Hand-written Makefile for using installed tests. Installed together
# with test binaries and data files as part of "make install" if
# either --enable-unit-tests or --enable-integration-tests was used
# during configure.
#
# Currently it only provides the "testclean" target
# expected by runtest.py.
#

.PHONY: testclean clean

testclean:
	rm -rf *.test.vcf *.log *.log.html *.tests *.diff *.dat *Client_Sync_*client.* *Client_Source*

clean: testclean

=== debian/changelog ===
syncevolution (1.5.3-2) unstable; urgency=medium

  * Remove libgconf2-dev build-dep (Closes: #897258)

 -- Tino Mettler <tino+debian@tikei.de>  Thu, 21 Jun 2018 21:19:04 +0200

syncevolution (1.5.3-1) unstable; urgency=medium

  * New upstream release
  * Fix override_dh_makeshlibs to handle all packages with public shared libs
    (Closes: #887043)
  * Remove obsolete Conflicts:/Breaks:/Replaces: sync-ui (<<1.1+ds1-1~)
  * Change debhelper compatibility to 11, which is recommended
  * Bump standards version to 4.1.3, no changes needed
  * Fix several lintian warnings

 -- Tino Mettler <tino+debian@tikei.de>  Sat, 13 Jan 2018 22:47:44 +0100

syncevolution (1.5.2-3) unstable; urgency=medium

  [ Patrick Ohly ]
  * libical: support libical v3 (Closes: #884158)
  * GNOME: replace gnome-keyring with libsecret

  [ Tino Mettler ]
  * Change build dependencies for libgtk and glade to use GTK3 for sync-ui
    (Closes: #884162)
  * Add Build-Dep on libjson-c-dev, enable and include oauth2 backend
    (Closes: #884170)

  * Handle C++ conversion operator name mangling in GCC 7 (Closes: #871284)
  * Build depend on libsecret-1-dev instead of deprecated libgnome-keyring-dev
    (Closes: #867944)

 -- Tino Mettler <tino+debian@tikei.de>  Thu, 04 Jan 2018 22:21:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,30 @@
 Section: utils
 Priority: optional
 Maintainer: Tino Mettler <tino+debian@tikei.de>
-Build-Depends: debhelper (>= 9), autotools-dev, libedataserver1.2-dev, 
+Build-Depends: debhelper (>= 11), libedataserver1.2-dev,
  libecal1.2-dev, libebook1.2-dev, libcurl4-gnutls-dev, libboost-dev,
  libsynthesis-dev (>=3.4.0.47.5),
  libtool, automake, intltool, pkg-config,
- libglib2.0-dev, libglade2-dev, libdbus-glib-1-dev, libgtk2.0-dev,
- libgconf2-dev, libgnome-keyring-dev, xsltproc, 
+ libglib2.0-dev, libgladeui-dev, libdbus-glib-1-dev, libgtk-3-dev,
+ libsecret-1-dev,
+ xsltproc,
  libopenobex2-dev [linux-any], libnotify-dev,
  python-docutils, libical-dev, libneon27-gnutls-dev, libpcre3-dev,
- libcppunit-dev, kdepimlibs5-dev, kdelibs5-dev
-Standards-Version: 3.9.8
+ libcppunit-dev, kdepimlibs5-dev, kdelibs5-dev,
+ libjson-c-dev,
+ g++ (>= 4:7)
+Standards-Version: 4.1.3
 Homepage: http://www.syncevolution.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/syncevolution
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/syncevolution.git
 
 Package: syncevolution
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, 
+Depends: ${shlibs:Depends}, ${misc:Depends},
 	 syncevolution-common (= ${source:Version}),
 	 syncevolution-libs (= ${binary:Version})
 Recommends: bluez
-Description: Sync personal information data using SyncML and CalDAV/CardDAV (CLI)
+Description: Sync personal information data via SyncML/CalDAV/CardDAV (CLI)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
  to sync PIM data in Evolution, but a plain file storage is also supported.
@@ -34,10 +37,10 @@
 
 Package: sync-ui
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), 
-	 syncevolution-dbus 
+Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}),
+	 syncevolution-dbus
 Recommends: bluez
-Description: Sync personal information data using SyncML and CalDAV/CardDAV (GTK+ GUI)
+Description: Sync personal information data via SyncML/CalDAV/CardDAV (GTK+ GUI)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
  to sync PIM data in Evolution, but a plain file storage is also supported.
@@ -50,9 +53,7 @@
 Package: syncevolution-common
 Architecture: all
 Depends: ${misc:Depends}, libsynthesis0v5 (>= 3.4.0.47.5)
-Conflicts: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
-Replaces: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
-Description: Sync personal information data using SyncML and CalDAV/CardDAV (common files)
+Description: Sync personal information data via SyncML/CalDAV/CardDAV (common files)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
  to sync PIM data in Evolution, but a plain file storage is also supported.
@@ -67,7 +68,7 @@
 Depends: syncevolution-libs-gnome (= ${binary:Version}) |
          syncevolution-libs-kde (= ${binary:Version}),
          ${misc:Depends}, ${shlibs:Depends}
-Description: Sync personal information data using SyncML and CalDAV/CardDAV (backend libraries)
+Description: Sync personal information data via SyncML/CalDAV/CardDAV (backend libraries)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
  to sync PIM data in Evolution, but a plain file storage is also supported.
@@ -83,7 +84,7 @@
 Recommends: evolution-data-server
 Replaces: syncevolution-libs (<< 1.3.99.7)
 Breaks: syncevolution-libs (<< 1.3.99.7)
-Description: Sync personal information data using SyncML and CalDAV/CardDAV (GNOME backend)
+Description: Sync personal information data via SyncML/CalDAV/CardDAV (GNOME backend)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
  to sync PIM data in Evolution, but a plain file storage is also supported.
@@ -91,14 +92,14 @@
  incremental synchronization of items are supported. SyncEvolution can act as
  a SyncML/DAV client and SyncML server.
  .
- This package provides private libraries and plugins for Gnome.
+ This package provides private libraries and plugins for GNOME.
 
 Package: syncevolution-libs-kde
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: syncevolution-libs (<< 1.3.99.7)
 Breaks: syncevolution-libs (<< 1.3.99.7)
-Description: Sync personal information data using SyncML and CalDAV/CardDAV (KDE backend)
+Description: Sync personal information data via SyncML/CalDAV/CardDAV (KDE backend)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
  to sync PIM data in Evolution, but a plain file storage is also supported.
@@ -110,12 +111,10 @@
 
 Package: syncevolution-dbus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, 	 
+Depends: ${shlibs:Depends}, ${misc:Depends},
 	 syncevolution-common (= ${source:Version}),
 	 syncevolution-libs (= ${binary:Version}), dbus
-Replaces: sync-ui (<< 1.1+ds1-1)
-Breaks: sync-ui (<< 1.1+ds1-1)
-Description: Sync personal information data using SyncML and CalDAV/CardDAV (D-Bus support)
+Description: Sync personal information data via SyncML/CalDAV/CardDAV (D-Bus support)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
  to sync PIM data in Evolution, but a plain file storage is also supported.
@@ -129,7 +128,7 @@
 Architecture: all
 Depends: ${misc:Depends}, syncevolution-dbus (>= ${source:Version}), python,
  python-dbus, dbus-x11, python-twisted-web, python-gobject, python-openssl
-Description: Sync personal information data using SyncML and CalDAV/CardDAV (HTTP server)
+Description: Sync personal information data via SyncML/CalDAV/CardDAV (HTTP server)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
  to sync PIM data in Evolution, but a plain file storage is also supported.
@@ -143,7 +142,7 @@
 Package: libsyncevolution0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
-Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
+Description: Sync personal information data via SyncML/CalDAV/CardDAV (shared library)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
  to sync PIM data in Evolution, but a plain file storage is also supported.
@@ -156,7 +155,7 @@
 Package: libsyncevo-dbus0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
-Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared D-Bus library)
+Description: Sync personal information data via SyncML/CalDAV/CardDAV (shared D-Bus library)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
  to sync PIM data in Evolution, but a plain file storage is also supported.
@@ -171,7 +170,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
 Replaces: syncevolution-libs (<< 1.2.99.1)
 Breaks: syncevolution-libs (<< 1.2.99.1)
-Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared gdbus library)
+Description: Sync personal information data via SyncML/CalDAV/CardDAV (shared gdbus library)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
  to sync PIM data in Evolution, but a plain file storage is also supported.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
ORIG=${DEB_SOURCE}_${DEB_VERSION_UPSTREAM}

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CONFIG_SHELL=/bin/bash

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
	install --mode=0755 --owner=root test/syncevo-http-server.py \
		$(CURDIR)/debian/tmp/usr/bin/syncevo-http-server

override_dh_auto_configure:
	sh autogen.sh
	dh_auto_configure -- --with-synthesis-src=none --prefix=/usr \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/syncevolution \
			--enable-gui \
			--enable-kwallet --enable-akonadi \
			--with-rst2man --with-rst2html --enable-dav \
			--enable-oauth2

override_dh_install:
	dh_install -X"*.pl"

override_dh_strip:
	dh_strip --dbgsym-migration='syncevolution-dbg'

override_dh_auto_clean:
	rm -f INSTALL compile po/LINGUAS src/backends/backends.am \
	      src/synthesis-includes/Makefile.in test-driver
	dh_auto_clean

override_dh_makeshlibs:
	dh_makeshlibs -V'libsyncevolution0 (>= 1.5.2-3~)' -plibsyncevolution0
	dh_makeshlibs -V'libsyncevo-dbus0 (>= 1.5.2-3~)' -plibsyncevo-dbus0
	dh_makeshlibs -V'libgdbussyncevo0 (>= 1.5.2-3~)' -plibgdbussyncevo0
	dh_makeshlibs --remaining-packages


get-orig-source:
	git archive --format=tar upstream/${DEB_VERSION_UPSTREAM} --prefix=${ORIG}/ | gzip -9 > ../${ORIG}.orig.tar.gz

PATCH_EXPORT_SCRIPT=/usr/share/gitpkg/hooks/quilt-patches-deb-export-hook
export-patches:
	[ ! -r debian/patches ] || \
	grep "^\#*$(notdir $(PATCH_EXPORT_SCRIPT))" debian/patches/series
	rm -rf debian/patches
	bash $(PATCH_EXPORT_SCRIPT)

=== debian/watch ===
version=3

opts=dversionmangle=s/\+ds\d+$// \
  https://downloads.syncevolution.org/syncevolution/sources/syncevolution-(.*).tar.gz
